<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/layout_panel"
    android:layout_width="match_parent"
    android:layout_height="74dp"
    android:layout_gravity="bottom"
    android:background="@drawable/panel_bg"
    android:paddingStart="14dp"
    android:paddingEnd="14dp">

    <ImageView
        android:id="@+id/image"
        android:layout_width="52dp"
        android:layout_height="52dp"
        android:layout_centerVertical="true"
        android:layout_marginStart="4dp"
        android:src="@drawable/placeholder" />

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerVertical="true"
        android:layout_marginStart="22dp"
        android:layout_toStartOf="@id/frame_play"
        android:layout_toEndOf="@id/image"
        android:orientation="vertical">

        <TextView
            android:id="@+id/title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:maxLines="1"
            android:text="@string/app_name"
            android:textColor="@color/black"
            android:textSize="14sp" />


        <TextView
            android:id="@+id/singer"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/app_name"
            android:textColor="@color/panel_singer_color"
            android:textSize="12sp" />
    </LinearLayout>

    <FrameLayout
        android:id="@+id/frame_play"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_centerVertical="true"
        android:layout_marginEnd="20dp"
        android:layout_toStartOf="@id/im_list"
        android:paddingStart="10dp"
        android:paddingEnd="10dp">

        <ImageView
            android:id="@+id/im_play"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:src="@drawable/selector_panel_play" />
    </FrameLayout>

    <ImageView
        android:id="@+id/im_list"
        android:layout_width="40dp"
        android:layout_height="match_parent"
        android:layout_alignParentEnd="true"
        android:layout_centerVertical="true"
        android:layout_marginEnd="10dp"
        android:paddingStart="5dp"
        android:paddingEnd="5dp"
        android:visibility="invisible"
        android:src="@drawable/panel_icon_list" />

</RelativeLayout>